# 🔭 Empyrean


![Node Build](https://github.com/Empyrean-Capstone/Empyrean/actions/workflows/setup.yml/badge.svg)
</br>
</br>


> Thus all suspended did my mind gaze fixed,</br>
immovable, intent, ever enkindled by its</br>
gazing.</br>
&mdash; *[Paradiso, Canto XXXIII](https://archive.org/details/paradisoofdantea00dantrich/page/406/mode/2up)*

**Empyrean** is a web-based control system for astronomy cameras and spectrographs, designed to lower barriers to operation by abstracting away details other such tools saddle upon the astronomer. Using the Client-Server model, the aforementioned astronomical devices may connect to our application via interfaces, allowing various pairings of hardware to be controlled from the comfort of a simple reactive web UI.


## ⚙️ Features
- Simple and intuitive user interface using recognizable styling
- Handles multiple users
- Back-end interface allows different types of cameras and spectrographs to connect to our system


## 🗺️ Roadmap
The most recent stable release can be seen in the `Releases` section on the repository's home page. Each release will contain a changelog discussing features and fixes that have been added or made since the last release. The repository abides by [semantic versioning](https://semver.org/) and each release will be of a minor or major version.

To see what features and fixes are planned for our next release, please
1. navigate to our [issue tracker](https://github.com/Empyrean-Capstone/Empyrean/issues)
2. click the `Milestones` dropdown
3. select the milestone whose version number immediately succeeds the version number of the last stable release


## 🚨 Call to Action
Join our project and provide assistance by:

- Solving a ticket in [our list of open issues](https://github.com/Empyrean-Capstone/Empyrean/issues).
    - When creating a [pull request](https://github.com/Empyrean-Capstone/Empyrean/pulls), kindly consider the time it takes for reviewing and testing, and maintain proper coding style. Please see our documentation for discussion about our chosen methods of formatting and documenting our source code.
- Contributing feature requests by opening a new issue or [discussion](https://github.com/Empyrean-Capstone/Empyrean/discussions).
- Drawing attention to our tool by [![starring Empyrean](https://img.shields.io/github/stars/Empyrean-Capstone/Empyrean?style=social&label=starring%20Empyrean)](https://github.com/Empyrean-Capstone/Empyrean/)
