"""Added users and observations

Revision ID: 6ba4cbca9ddc
Revises: 5778321bd8e0
Create Date: 2023-02-19 12:15:33.437427

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6ba4cbca9ddc'
down_revision = '5778321bd8e0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('observation',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('owner_id', sa.Integer(), nullable=True),
    sa.Column('filename', sa.String(), nullable=True),
    sa.Column('date_made_open_source', sa.DateTime(), nullable=True),
    sa.Column('exp_time', sa.Integer(), nullable=True),
    sa.Column('ccd_temp', sa.Float(), nullable=True),
    sa.Column('image_typ', sa.String(), nullable=True),
    sa.Column('gain', sa.Float(), nullable=True),
    sa.Column('offset', sa.Float(), nullable=True),
    sa.Column('gamma', sa.Float(), nullable=True),
    sa.Column('date_obs', sa.DateTime(), nullable=True),
    sa.Column('instrume', sa.String(), nullable=True),
    sa.Column('reworder', sa.String(), nullable=True),
    sa.Column('object', sa.String(), nullable=True),
    sa.Column('obs_type', sa.String(), nullable=True),
    sa.Column('airm', sa.Float(), nullable=True),
    sa.Column('observer', sa.String(), nullable=True),
    sa.Column('obs_id', sa.String(), nullable=True),
    sa.Column('log_id', sa.String(), nullable=True),
    sa.Column('mjdobs', sa.Float(), nullable=True),
    sa.Column('status', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('username', sa.String(), nullable=True),
    sa.Column('password', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('user')
    op.drop_table('observation')
    # ### end Alembic commands ###
